package com.usky.dxtop;

import com.usky.dxtop.service.SysFileService;
import com.usky.dxtop.service.config.rabbitmq.charge.ChargeProduceConfig;
import com.usky.dxtop.service.config.rabbitmq.face.FaceProduceConfig;
import com.usky.dxtop.service.config.rabbitmq.group.GroupProduceConfig;
import com.usky.dxtop.service.config.rabbitmq.profile.ProfileProduceConfig;
import org.junit.jupiter.api.Test;
import org.junit.runner.RunWith;
import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.util.HashMap;
import java.util.Map;

@RunWith(SpringRunner.class)
@SpringBootTest
class DxtopApplicationTests {

    @Autowired
    private SysFileService sysFileService;

    @Autowired
    @Qualifier(ProfileProduceConfig.TEMPLATE)
    private RabbitTemplate profileRabbitTemplate;


    @Autowired
    @Qualifier(FaceProduceConfig.TEMPLATE)
    private RabbitTemplate faceRabbitTemplate;

    @Autowired
    @Qualifier(GroupProduceConfig.TEMPLATE)
    private RabbitTemplate groupRabbitTemplate;

    @Autowired
    @Qualifier(ChargeProduceConfig.TEMPLATE)
    private RabbitTemplate chargeRabbitTemplate;

    @Test
    public void test(){
        Map<String,Object> map = new HashMap<>();
        map.put("seq",1);
        profileRabbitTemplate.convertAndSend(ProfileProduceConfig.NAME,ProfileProduceConfig.NAME, map);
    }

    @Test
    public void test1(){
        Map<String,Object> map = new HashMap<>();
        map.put("seq",1);
        faceRabbitTemplate.convertAndSend(FaceProduceConfig.NAME,FaceProduceConfig.NAME, map);
    }

    @Test
    public void test2(){
        Map<String,Object> map = new HashMap<>();
        map.put("seq",1);
        groupRabbitTemplate.convertAndSend(GroupProduceConfig.NAME,GroupProduceConfig.NAME, map);
    }


    @Test
    public void test3(){
        Map<String,Object> map = new HashMap<>();
        map.put("seq",2511);
        chargeRabbitTemplate.convertAndSend(ChargeProduceConfig.NAME,ChargeProduceConfig.NAME, map);
    }
}
